// @HEADER
// ***********************************************************************
//
//                           Stokhos Package
//                 Copyright (2009) Sandia Corporation
//
// Under terms of Contract DE-AC04-94AL85000, there is a non-exclusive
// license for use of this work by or on behalf of the U.S. Government.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
//
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the Corporation nor the names of the
// contributors may be used to endorse or promote products derived from
// this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// Questions? Contact Eric T. Phipps (etphipp@sandia.gov).
//
// ***********************************************************************
// @HEADER

#ifndef STOKHOS_SACADO_KOKKOS_UQ_PCE_HPP
#define STOKHOS_SACADO_KOKKOS_UQ_PCE_HPP

#include "Stokhos_ConfigDefs.h"

#include "Kokkos_Macros.hpp"

#include "Stokhos_Sacado_Kokkos_MathFunctions.hpp"

#include "Stokhos_KokkosTraits.hpp"
#include "Stokhos_StaticFixedStorage.hpp"
#include "Stokhos_StaticStorage.hpp"
#include "Stokhos_DynamicStorage.hpp"
#include "Stokhos_DynamicStridedStorage.hpp"
#include "Stokhos_DynamicThreadedStorage.hpp"
#include "Stokhos_ViewStorage.hpp"

// Don't include "Sacado_UQ_PCE.hpp" here, it is included in the file below
// in a special order for Kokkos overloads to be found correctly
#include "Kokkos_View_UQ_PCE.hpp"
#include "Kokkos_Atomic_UQ_PCE.hpp"

#include "Teuchos_SerialQRDenseSolver_UQ_PCE.hpp"
#include "Teuchos_LAPACK_UQ_PCE.hpp"

#endif // STOKHOS_SACADO_KOKKOS_MP_VECTOR_HPP
